drop temporary table if exists sourcesettmp ;
create temporary table sourcesettmp  select distinct entity_id as id from reference_data;

call initPOVPropertiesTable(104, "104", "entities");
set @propertiestable = (select SUBSTRING(@tempTableList ,2 ,32));
select @propertiestable;
show index from reference_data;

drop temporary table if exists propertiestab ;
prepare stmt from CONCAT("create temporary table propertiestab SELECT * from ", @propertiestable);
execute stmt;

drop temporary table if exists tmpresult;
create temporary table tmpresult (id INTEGER);
select * from propertiestab;

set @start = CURRENT_TIMESTAMP(4);
insert into tmpresult
 SELECT distinct entity_id from (select entity_id, value from reference_data join propertiestab as prop where (prop.id2=NULL OR prop.id2 = reference_data.entity_id) AND 
    reference_data.property_id=prop.id) as propfiltered
     where propfiltered.value=518;
select TIMESTAMPDIFF( MICROSECOND, @start,CURRENT_TIMESTAMP(4))/1000.0 as "spent(ms)";
select count(id) from tmpresult order by id;
